# eric4.Plugins.WizardPlugins.QRegExpWizard.QRegExpWizardDialog

Module implementing the QRegExp wizard dialog.

### Global Attributes

None

### Classes

QRegExpWizardDialog | Class for the dialog variant.
QRegExpWizardWidget | Class implementing the QRegExp wizard dialog.
QRegExpWizardWindow | Main window class for the standalone dialog.

### Functions

None

## QRegExpWizardDialog

Class for the dialog variant.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

QRegExpWizardDialog | Constructor
getCode | Public method to get the source code.

### Static Methods

None

#### QRegExpWizardDialog (Constructor)

QRegExpWizardDialog(parent = None, fromEric = True)

Constructor

parent
  parent widget (QWidget)
fromEric
  flag indicating a call from within eric4

#### QRegExpWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

Up

## QRegExpWizardWidget

Class implementing the QRegExp wizard dialog.

### Derived from

QWidget, Ui_QRegExpWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

QRegExpWizardWidget | Constructor
__insertString | Private method to insert a string into line edit and move cursor.
getCode | Public method to get the source code.
on_altnButton_clicked | Private slot to handle the alternatives toolbutton.
on_anycharButton_clicked | Private slot to handle the any character toolbutton.
on_beglineButton_clicked | Private slot to handle the begin line toolbutton.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_charButton_clicked | Private slot to handle the characters toolbutton.
on_copyButton_clicked | Private slot to copy the regexp string into the clipboard.
on_endlineButton_clicked | Private slot to handle the end line toolbutton.
on_executeButton_clicked | Private slot to execute the entered regexp on the test text.
on_groupButton_clicked | Private slot to handle the group toolbutton.
on_loadButton_clicked | Private slot to load a regexp from a file.
on_neglookaheadButton_clicked | Private slot to handle the negative lookahead toolbutton.
on_nextButton_clicked | Private slot to find the next match.
on_nonGroupButton_clicked | Private slot to handle the non group toolbutton.
on_nonwordboundButton_clicked | Private slot to handle the non word boundary toolbutton.
on_poslookaheadButton_clicked | Private slot to handle the positive lookahead toolbutton.
on_regexpLineEdit_textChanged | Private slot called when the regexp changes.
on_repeatButton_clicked | Private slot to handle the repeat toolbutton.
on_saveButton_clicked | Private slot to save the regexp to a file.
on_validateButton_clicked | Private slot to validate the entered regexp.
on_wordboundButton_clicked | Private slot to handle the word boundary toolbutton.

### Static Methods

None

#### QRegExpWizardWidget (Constructor)

QRegExpWizardWidget(parent = None, fromEric = True)

Constructor

parent
  parent widget (QWidget)
fromEric
  flag indicating a call from within eric4

#### QRegExpWizardWidget.__insertString

__insertString(s, steps=0)

Private method to insert a string into line edit and move cursor.

s
  string to be inserted into the regexp line edit (string or QString)
steps
  number of characters to move the cursor (integer). Negative steps moves cursor back, positives forward.

#### QRegExpWizardWidget.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### QRegExpWizardWidget.on_altnButton_clicked

on_altnButton_clicked()

Private slot to handle the alternatives toolbutton.

#### QRegExpWizardWidget.on_anycharButton_clicked

on_anycharButton_clicked()

Private slot to handle the any character toolbutton.

#### QRegExpWizardWidget.on_beglineButton_clicked

on_beglineButton_clicked()

Private slot to handle the begin line toolbutton.

#### QRegExpWizardWidget.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### QRegExpWizardWidget.on_charButton_clicked

on_charButton_clicked()

Private slot to handle the characters toolbutton.

#### QRegExpWizardWidget.on_copyButton_clicked

on_copyButton_clicked()

Private slot to copy the regexp string into the clipboard.

This slot is only available, if not called from within eric4.

#### QRegExpWizardWidget.on_endlineButton_clicked

on_endlineButton_clicked()

Private slot to handle the end line toolbutton.

#### QRegExpWizardWidget.on_executeButton_clicked

on_executeButton_clicked(startpos = 0)

Private slot to execute the entered regexp on the test text.

This slot will execute the entered regexp on the entered test data and will display the result in the table part of the dialog.

startpos
  starting position for the regexp matching

#### QRegExpWizardWidget.on_groupButton_clicked

on_groupButton_clicked()

Private slot to handle the group toolbutton.

#### QRegExpWizardWidget.on_loadButton_clicked

on_loadButton_clicked()

Private slot to load a regexp from a file.

#### QRegExpWizardWidget.on_neglookaheadButton_clicked

on_neglookaheadButton_clicked()

Private slot to handle the negative lookahead toolbutton.

#### QRegExpWizardWidget.on_nextButton_clicked

on_nextButton_clicked()

Private slot to find the next match.

#### QRegExpWizardWidget.on_nonGroupButton_clicked

on_nonGroupButton_clicked()

Private slot to handle the non group toolbutton.

#### QRegExpWizardWidget.on_nonwordboundButton_clicked

on_nonwordboundButton_clicked()

Private slot to handle the non word boundary toolbutton.

#### QRegExpWizardWidget.on_poslookaheadButton_clicked

on_poslookaheadButton_clicked()

Private slot to handle the positive lookahead toolbutton.

#### QRegExpWizardWidget.on_regexpLineEdit_textChanged

on_regexpLineEdit_textChanged(txt)

Private slot called when the regexp changes.

txt
  the new text of the line edit (QString)

#### QRegExpWizardWidget.on_repeatButton_clicked

on_repeatButton_clicked()

Private slot to handle the repeat toolbutton.

#### QRegExpWizardWidget.on_saveButton_clicked

on_saveButton_clicked()

Private slot to save the regexp to a file.

#### QRegExpWizardWidget.on_validateButton_clicked

on_validateButton_clicked()

Private slot to validate the entered regexp.

#### QRegExpWizardWidget.on_wordboundButton_clicked

on_wordboundButton_clicked()

Private slot to handle the word boundary toolbutton.

Up

## QRegExpWizardWindow

Main window class for the standalone dialog.

### Derived from

KQMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

QRegExpWizardWindow | Constructor

### Static Methods

None

#### QRegExpWizardWindow (Constructor)

QRegExpWizardWindow(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

Up